Subject: Re: bug#6705: w32 cmdproxy.c pass args to cygwin; erroneous charset conversion (problem description, solution/suggestion)

From: Juanma Barranquero <[email-masked]>
Date: Fri, 23 Jul 2010 21:07:59 +0200

On Fri, Jul 23, 2010 at 17:35, Laimonas Vėbra <[email-masked]> wrote:

> bzr log says that much of the active development of the w32proc.c and others
> actually ended somewhere in the 2001-2003... ;-)

Are you volunteering? By all means, welcome aboard!

> On the other hand -- why when you think w32 developers should invest their
> time developing w32 stuff at all (if we have cygwin build which works
> „pretty well“)...?

Because the Cygwin build works pretty well when your environment is
Cygwin. And some of us, to put it mildly, wouldn't touch that crap
again if it were the last working environment on the surface of the
Earth. I certainly don't plan to spend a second making Emacs work
better with Cygwin (tought of course I have nothing against other
people doing it; I'm not an anti-Cygwin zealot).

> Same question -- why when bother with w32 development at all?

Seems like there's a sizable user base of non-Cygwin users of Emacs on
Windows. And some of us like to work on Emacs development.

    Juanma